@if (gridDisplay) {
  <div
    #header
    class="full-width flex-column header"
    [style.height]="calculateRowHeight(gridDisplay)"
  >
    <div
      nz-tooltip
      [nzTooltipTitle]="columnDisplay.options.createdOnTime"
      class="flex-row"
      [class.__hover_pointer]="columnDisplay.sortable"
      style="overflow-x: hidden; align-items: center"
      (click)="toggleSort()"
    >
      <span>{{ columnDisplay.options.createdOnDate }}</span>
      @if (shouldDisplaySortIcon(columnDisplay)) {
        <span class="m-l-5">
          <i
            nz-icon
            nzTheme="outline"
            [nzType]="iconName(columnDisplay)"
            class="font-10-px"
          ></i>
        </span>
      }
    </div>
    <div class="flex">
      @for (status of columnDisplay.options.statuses; track status) {
        <div
          class="status"
          [class.hidden]="!isStatusPresentInAutomSuite(status)"
          [style.background-color]="getBackgroundColor(status)"
          nz-tooltip
          [nzTooltipTitle]="getStatusKind(status)"
        >
          {{ getRoundNbStatusValue(status) }}
        </div>
      }
      <sqtm-core-filter-button
        [columnDisplay]="columnDisplay"
        [gridDisplay]="gridDisplay"
      >
      </sqtm-core-filter-button>
    </div>
  </div>
}
